package com.yiboshi.science.service;

import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComEvaluation;
import com.yiboshi.science.param.dto.ComEvaluationDTO;
import com.yiboshi.science.param.query.ComEvaluationQueryVO;

/**
 * 评审表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComEvaluationService extends BaseService<ComEvaluationQueryVO, ComEvaluationDTO, ComEvaluation> {

    /**
     * 添加或更新专家
     *
     * @param dto
     * @return
     */
    String save(ComEvaluationDTO dto);

    ComEvaluationDTO getEvaluationById(String id);

    String insertEvaluation(ComEvaluationDTO dto);

    String updateEvaluation(ComEvaluationDTO dto);

    String deleteEvaluation(String id);
}